#include "colors.inc"
#include "textures.inc"
#include "gamesett.inc"
#include "clocks.inc"
// create a sphere shape

#declare electron=union {
// flat circular FINITE (no CSG) shape, center hole cutout is optional
// create a sphere shape
torus {2,.1}

sphere
{
  <0, 0, 2> // center of sphere <X Y Z>
  0.4       // radius of sphere
  // scale <1,2,1> // <= Note: Spheres can become ellipses by uneven scaling
}
rotate <90,0,0>
rotate<0,0,360*clock>
}
#declare atom=union{
object {electron pigment {color Red}}
object {electron pigment {color Yellow} rotate <90,0,0>}
object {electron pigment {color Orange} rotate <0,0,135> rotate <90,0,90>}
}
object {atom rotate 45}
