#declare inc=.3
#declare led = union {
	sphere {
		<0,0,0>,.5
                    		texture {
			pigment {color rgbt <1,1,1,1>}
            finish {phong LED_LIGHT}
            }
        halo {
			emitting
			spherical_mapping
			linear


			color_map {
				[0 color rgbt <0,0,0,1>]
				[1 color rgbt <(LED_RED*(LED_LIGHT+inc)+inc)/(1+2*inc),(LED_GREEN*(LED_LIGHT+inc)+inc)/(1+2*inc),(LED_BLUE*(LED_LIGHT+inc)+inc)/(1+2*inc),-1>]
			}
            samples 10
		}

		hollow
	}
    #ifndef (MASK_ON)
            #if (LED_LIGHT=1)
                        light_source {<0,0,0> <LED_RED,LED_GREEN,LED_BLUE>}
                        #end
    #end
}
