#include "colors.inc"
#include "textures.inc"

#declare Photon = union {
	sphere {
		<0,0,0>,.25
		texture {
			pigment {color rgbt <1,1,1,1>}
			finish {phong 1}
		}
		halo {
			emitting
			spherical_mapping
			linear
			color_map {
				[0 color rgbt <0,0,0,1>]
				[1 color rgbt <.3,.3,1,-1>]
			}
			samples 10
		}
		hollow
	}
    #ifndef (MASK_ON) light_source {<0,0,0> NeonBlue}
    #end
}
