#include "textures.inc"

#declare Wing = union {
	cone {
		<0,0,0>,.5
		<2,0,0>,.25
		texture {Silver_Metal}
		scale <1,1,.2>
	}

}

#declare Wings = union {
	object {
		Wing rotate <0,-45,-15>
		translate <.3,0,0>
	}
	object {
		Wing rotate <0,-135,15>
		translate <-.3,0,0>
	}
}

#declare Warthog_Wings = difference {
	cylinder {
		<0,0,0>,
		<0,0,.3>,1
		texture {
			Bronze_Metal
			normal {
				dents 3
				scale .2
			}
		}
	}
	cylinder {
		<0,1,-.1>,
		<0,1,.4>,1
	}
	box {
		<-.3,-1.5,.2>,
		<.3,-.2,-1>
	}
	scale <1.5,1,1>
}
