#declare EXPLODING=true
#include "basicshi.inc"

#declare Force=40
#declare vel_turb = .3
#declare Gravity=2*(groundLocation+Force*(1+vel_turb))
#declare exp_location = <0,0,groundLocation>
#declare exp_strength=Force
#declare explode_clock = No_ends_seq_clock
#declare exp_sky=-z
#declare ground_dist = -groundLocation
#declare exp_gravity = Gravity
#declare ground_plane = true
#declare ground_reflection = 0
#declare exp_turb = 1
#declare scale_turb = 1
#declare rotate_turb = 1
#declare dir_turb = .01
#declare spin_turb = 1

#include "./Explode.inc"

// create a sphere shape
#declare Fireball= sphere
{
  <0, 0, 0> // center of sphere <X Y Z>
  1       // radius of sphere
  pigment {color rgbt <1,1,1,1>}
  halo {
       emitting
       spherical_mapping
       linear
       turbulence Seq_clock+1
       color_map {
                 [ 0 color rgbt <1, 0, 0, 1> ]
                 [ 1 color rgbt <1, 1, 0, -1> ]
                 }
       frequency 2
       samples 20
       scale 1.01 - Seq_clock
       }
  hollow
  scale No_ends_sine_clock*4
}
object {
Fireball rotate <0,0,Div_clock*45>
}
