#include "colors.inc"
#include "textures.inc"
#include "gamesett.inc"
#include "clocks.inc"
//#declare MASK_ON=true

#declare foot=union {

// create a sphere shape
sphere
{
  <0, 2, .5> // center of sphere <X Y Z>
  0.5       // radius of sphere
  //scale <1,1,.5> // <= Note: Spheres can become ellipses by uneven scaling
    texture {Silver_Metal}
}

// clipped conical shape
// cone { <END1>, RADIUS1, <END2>, RADIUS2 [open] }
// Where <END1> and <END2> are vectors defining the x,y,z
// coordinates of the center of each end of the cone
// and RADIUS1 and RADIUS2 are float values for the radii
// of those ends.  open, if present, cone is hollow, else capped
cone
{
  <0,0,0>,  .4,
  <0,2,.5>, .15
  //scale <1,1,.5>
      texture {Silver_Metal}

  // open
}

}
#declare mine=union {

// create a sphere shape
sphere
{
  <0, 0, 0> // center of sphere <X Y Z>
  1       // radius of sphere
  scale <1,1,.5> // <= Note: Spheres can become ellipses by uneven scaling
  texture {Silver_Metal}
}
object {foot}
object {foot rotate <0,0,-90>}
object {foot rotate <0,0,-180>}
object {foot rotate <0,0,-270>}
object {foot rotate <0,0,-45> scale .85}
object {foot rotate <0,0,-135> scale .85}
object {foot rotate <0,0,-225> scale .85}
object {foot rotate <0,0,-315> scale .85}
#declare LED_RED=1
#declare LED_GREEN=0
#declare LED_BLUE=0
#if (clock=1)
    #declare LED_LIGHT=1
#else
     #declare LED_LIGHT=0
     #end
#include "led.inc"

object {led translate <-.7,.3,-1> scale .7}
#declare LED_RED=0
#declare LED_GREEN=1
#declare LED_BLUE=0
#if (clock=2)
    #declare LED_LIGHT=1
#else
     #declare LED_LIGHT=0
     #end

#include "led.inc"

object {led translate <.7,.3,-1> scale .7}
}

object {
       mine //rotate <90,0,0>
}
